Sign in to follow this  
littlepiggles77

An Idea for a new server

Recommended Posts

As we all know, Vipers Liar is based off being vanilla. this unfortunately means that the servers are not friendly to players who do not hack. The issue is, we cannot have a no hacking server that is also vanilla...... or can we? There is a way to make a completely vanilla server that blocks most hacks , infact more hacks than any existing anti cheat currently blocks. The way to do this is to make all hacked clients incompatible. To do this we make a vanilla server, but it runs the final prerelease of 1.10, not 1.10.2, this means the server would have basically all the same features, but any existing hacked client would be completely broken. When 1.11 comes out, we could do the same exact thing, have it run the final pre release. Now the difference between this and the snapshot server is that it only changes versions when majoring releases a final pre release or a final version. This means Game breaking glitches would not be an issue, and the gameplay would be much more stable, as the server would only be running the stable final snapshots and pre releaces. 

Share this post


Link to post
Share on other sites

You do know that people can simply download clients for that specific server version to use at their leisure.

Share this post


Link to post
Share on other sites

You do know that people can simply download clients for that specific server version to use at their leisure.

​but no devloper makes snapshot clients, you would haveto code it on your own

Share this post


Link to post
Share on other sites

The snapshot server automatically updates to the latest version of MC when they are released. It has the lowest rate of hacked clients just because the updates are relatively rapid, and clients aren't updated as fast.

This does nothing at all to prevent players from downloading hacked clients for older versions of MC. Just because it's not the current recommended release, doesn't mean the clients disappear from the internet because they are old.

This would also become redundant as we'd have multiple snapshot servers. I'm not sure you've thought this whole process all the way through.

Share this post


Link to post
Share on other sites

and senor piggles, i hope that you realize that pre-releases are WAY more buggy, hence their being pre-releases. That's not a legitimate solution. Just suck it up and download yourself a nice client. XD

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.